# Class Configuration#getVirtualKeyboardLanguage

Configuration

- Defined in: configuration.js

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Configuration#getVirtualKeyboardLanguage(successCallback, errorCallback) Gets VirtualKeyboardLanguage list

## Class Detail

Configuration#getVirtualKeyboardLanguage(successCallback, errorCallback)
Gets VirtualKeyboardLanguage list

    // Javascript code
    function getVirtualKeyboardLanguage () {
      function successCb(cbObject) {
         console.log("cbObject : " + JSON.stringify(cbObject));

         for(var i = cbObject.languageCodeList.length-1; i>=0; i--) {
    			console.log("languageCodeList [" + i + "] : " + cbObject.languageCodeList[i]);
    		}
         // Do something
            ...
      }

      function failureCb(cbObject) {
         var errorCode = cbObject.errorCode;
         var errorText = cbObject.errorText;
         console.log ("Error Code [" + errorCode + "]: " + errorText);
      }

      var configuration = new Configuration();
      configuration.getVirtualKeyboardLanguage(successCb, failureCb);
    }

Parameters:
{Function} successCallback
  success callback function.
{Function} errorCallback
  failure callback function.

Since:
  1.4
Returns:
  {Object}

  Property | Type | Description
  --- | --- | ---
  languageCodeList | Array | language code list ex)["fr","es","ko"]

See:
  Configuration.setVirtualKeyboardLanguage()